# SNESSetSolution

Sets the vector where the approximate solution is stored.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESSetSolution(SNES snes,Vec x)

Not Collective, but Vec is parallel if SNES is parallel

### Input Parameters

| snes | - the SNES context
| x | - the solution

### Output Parameter

Notes: this is not normally used, rather one simply calls SNESSolve() with the appropriate solution vector.

### Keywords

SNES, nonlinear, set, solution

### See Also

SNESGetSolution(), SNESGetFunction(), SNESGetSolutionUpdate()

Level:intermediate
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages